- expanded = integration_expanded?('plantuml_')
%section.settings.as-plantuml.no-animate#js-plantuml-settings{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = _('PlantUML')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Render diagrams in your documents using PlantUML.')
      = link_to _('Learn more.'), help_page_path('administration/integration/plantuml.md'), target: '_blank', rel: 'noopener noreferrer'
  .settings-content
    = gitlab_ui_form_for @application_setting, url: general_admin_application_settings_path(anchor: 'js-plantuml-settings'), html: { class: 'fieldset-form', id: 'plantuml-settings' } do |f|
      = form_errors(@application_setting) if expanded

      %fieldset
        .form-group
          = f.gitlab_ui_checkbox_component :plantuml_enabled,
            _('Enable PlantUML')
        .form-group
          = f.label :plantuml_url, _('PlantUML URL'), class: 'label-bold'
          = f.text_field :plantuml_url, class: 'form-control gl-form-input', placeholder: 'http://your-plantuml-instance:8080'
          .form-text.text-muted
            = _('The hostname of your PlantUML server.')

      = f.submit _('Save changes'), class: "gl-button btn btn-confirm"
